net.sourceforge.pmd.ast

## Class JDKVersionTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.JDKVersionTest

-     public class JDKVersionTest
      extends ParserTst

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDKVersionTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testAnnotatedLocals()`
    `void` | `testAnnotatedParams()`
    `void` | `testAssertAsIdentifierSucceedsWith1_3_test2()`
    `void` | `testAssertAsIdentifierSucceedsWith1_3()`
    `void` | `testAssertAsKeywordFailsWith1_3()`
    `void` | `testAssertAsKeywordVariantsSucceedWith1_4()`
    `void` | `testAssertAsMethodNameIdentifierFailsWith1_4()`
    `void` | `testAssertAsVariableDeclIdentifierFailsWith1_4()`
    `void` | `testBinaryAndUnderscoresInNumericalLiterals()`
    `void` | `testEnumAsIdentifierShouldFailWith15()`
    `void` | `testEnumAsIdentifierShouldPassWith14()`
    `void` | `testEnumAsKeywordShouldFailWith14()`
    `void` | `testEnumAsKeywordShouldPassWith15()`
    `void` | `testGenericDiamond()`
    `void` | `testGenericINAnnotation()`
    `void` | `testGenericReturnType()`
    `void` | `testGenericsInMethodCall()`
    `void` | `testJDK15ForLoopShouldFailWith14()`
    `void` | `testJDK15ForLoopSyntaxShouldPassWith15()`
    `void` | `testJDK15ForLoopSyntaxWithModifiers()`
    `void` | `testJDK15GenericsSyntaxShouldPassWith15()`
    `void` | `testMulticatch()`
    `void` | `testMulticatchWithAnnotations()`
    `void` | `testMultipleGenerics()`
    `void` | `testNestedClassInMethodBug()`
    `void` | `testStringInSwitch()`
    `void` | `testTryWithResources()`
    `void` | `testTryWithResourcesMulti()`
    `void` | `testTryWithResourcesSemi()`
    `void` | `testTryWithResourcesWithAnnotations()`
    `void` | `testVarargsShouldFailWith14()`
    `void` | `testVarargsShouldPassWith15()`
    `void` | `testVariousParserBugs()`

    - ### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

      `buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDKVersionTest

          public JDKVersionTest()

  - ### Method Detail

    - #### testEnumAsKeywordShouldFailWith14

          public void testEnumAsKeywordShouldFailWith14()
                                                 throws Throwable

      Throws:
        `Throwable`

    - #### testEnumAsIdentifierShouldPassWith14

          public void testEnumAsIdentifierShouldPassWith14()
                                                    throws Throwable

      Throws:
        `Throwable`

    - #### testEnumAsKeywordShouldPassWith15

          public void testEnumAsKeywordShouldPassWith15()
                                                 throws Throwable

      Throws:
        `Throwable`

    - #### testEnumAsIdentifierShouldFailWith15

          public void testEnumAsIdentifierShouldFailWith15()
                                                    throws Throwable

      Throws:
        `Throwable`

    - #### testAssertAsKeywordVariantsSucceedWith1_4

          public void testAssertAsKeywordVariantsSucceedWith1_4()

    - #### testAssertAsVariableDeclIdentifierFailsWith1_4

          public void testAssertAsVariableDeclIdentifierFailsWith1_4()

    - #### testAssertAsMethodNameIdentifierFailsWith1_4

          public void testAssertAsMethodNameIdentifierFailsWith1_4()

    - #### testAssertAsIdentifierSucceedsWith1_3

          public void testAssertAsIdentifierSucceedsWith1_3()

    - #### testAssertAsKeywordFailsWith1_3

          public void testAssertAsKeywordFailsWith1_3()

    - #### testVarargsShouldPassWith15

          public void testVarargsShouldPassWith15()
                                           throws Throwable

      Throws:
        `Throwable`

    - #### testVarargsShouldFailWith14

          public void testVarargsShouldFailWith14()
                                           throws Throwable

      Throws:
        `Throwable`

    - #### testJDK15ForLoopSyntaxShouldPassWith15

          public void testJDK15ForLoopSyntaxShouldPassWith15()
                                                      throws Throwable

      Throws:
        `Throwable`

    - #### testJDK15ForLoopSyntaxWithModifiers

          public void testJDK15ForLoopSyntaxWithModifiers()
                                                   throws Throwable

      Throws:
        `Throwable`

    - #### testJDK15ForLoopShouldFailWith14

          public void testJDK15ForLoopShouldFailWith14()
                                                throws Throwable

      Throws:
        `Throwable`

    - #### testJDK15GenericsSyntaxShouldPassWith15

          public void testJDK15GenericsSyntaxShouldPassWith15()
                                                       throws Throwable

      Throws:
        `Throwable`

    - #### testVariousParserBugs

          public void testVariousParserBugs()
                                     throws Throwable

      Throws:
        `Throwable`

    - #### testNestedClassInMethodBug

          public void testNestedClassInMethodBug()
                                          throws Throwable

      Throws:
        `Throwable`

    - #### testGenericsInMethodCall

          public void testGenericsInMethodCall()
                                        throws Throwable

      Throws:
        `Throwable`

    - #### testGenericINAnnotation

          public void testGenericINAnnotation()
                                       throws Throwable

      Throws:
        `Throwable`

    - #### testGenericReturnType

          public void testGenericReturnType()
                                     throws Throwable

      Throws:
        `Throwable`

    - #### testMultipleGenerics

          public void testMultipleGenerics()
                                    throws Throwable

      Throws:
        `Throwable`

    - #### testAnnotatedParams

          public void testAnnotatedParams()
                                   throws Throwable

      Throws:
        `Throwable`

    - #### testAnnotatedLocals

          public void testAnnotatedLocals()
                                   throws Throwable

      Throws:
        `Throwable`

    - #### testAssertAsIdentifierSucceedsWith1_3_test2

          public void testAssertAsIdentifierSucceedsWith1_3_test2()

    - #### testBinaryAndUnderscoresInNumericalLiterals

          public final void testBinaryAndUnderscoresInNumericalLiterals()
                                                                 throws Throwable

      Throws:
        `Throwable`

    - #### testStringInSwitch

          public final void testStringInSwitch()
                                        throws Throwable

      Throws:
        `Throwable`

    - #### testGenericDiamond

          public final void testGenericDiamond()
                                        throws Throwable

      Throws:
        `Throwable`

    - #### testTryWithResources

          public final void testTryWithResources()
                                          throws Throwable

      Throws:
        `Throwable`

    - #### testTryWithResourcesSemi

          public final void testTryWithResourcesSemi()
                                              throws Throwable

      Throws:
        `Throwable`

    - #### testTryWithResourcesMulti

          public final void testTryWithResourcesMulti()
                                               throws Throwable

      Throws:
        `Throwable`

    - #### testTryWithResourcesWithAnnotations

          public final void testTryWithResourcesWithAnnotations()
                                                         throws Throwable

      Throws:
        `Throwable`

    - #### testMulticatch

          public final void testMulticatch()
                                    throws Throwable

      Throws:
        `Throwable`

    - #### testMulticatchWithAnnotations

          public final void testMulticatchWithAnnotations()
                                                   throws Throwable

      Throws:
        `Throwable`

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.